//
//  NativeAdSmaatoView.h
//  sdk-demo-ios-objc
//
//  Created by Smaato Inc on 17.04.20.
//  Copyright © 2020 Smaato Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <SmaatoSDKNative/SmaatoSDKNative.h>

///View container with predefined fixed naming of UI controls for native ad auto rendering by NextGen SDK. Main image is rendered in common Media view.
@interface NativeAdSmaatoView : UIView <SMANativeView>

@property(nonatomic) IBOutlet UILabel *smaSponsoredLabel;
@property(nonatomic) IBOutlet UILabel *smaMainTextLabel;
@property(nonatomic) IBOutlet UILabel *smaTitleLabel;
@property(nonatomic) IBOutlet UIView *smaIconView;
@property(nonatomic) IBOutlet UIView *smaMediaView;
@property(nonatomic) IBOutlet UILabel *smaCTALabel;
@property(nonatomic) IBOutlet UIView *smaPrivacyView;
@property(nonatomic) IBOutlet UIView *smaRatingView;

@end

