//
//  SMANativeViewController.h
//  sdk-demo-ios-objc
//
//  Created by Smaato Inc on 16.04.20.
//  Copyright © 2020 Smaato Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
@import SmaatoSDKNative;

typedef NS_ENUM(NSUInteger, SmaatoNativeRenderingMode) {
    SmaatoNativeRenderingManualByPublisher = 0,
    SmaatoNativeRenderingAutoBySDK
};

@interface SMANativeViewController : UIViewController

@property (nonatomic, copy, nonnull) NSString *adSpaceId;
@property (nonatomic) SmaatoNativeRenderingMode renderingMode;

@end

