//
//  SmaatoMediaNativeAdView.swift
//  sdk-demo-ios
//
//  Created by Smaato Inc on 11.03.20.
//  Copyright © 2020 Smaato Inc. All rights reserved.
//

import UIKit
import SmaatoSDKNative

///View container with predefined fixed naming of UI controls for native ad auto rendering by NextGen SDK. Main image is rendered in common Media view.
class NativeAdSmaatoView: UIView, SMANativeView {
    
    @IBOutlet weak var smaSponsoredLabel: UILabel!
    @IBOutlet weak var smaMainTextLabel: UILabel!
    @IBOutlet weak var smaTitleLabel: UILabel!
    @IBOutlet weak var smaIconView: UIView!
    @IBOutlet weak var smaMediaView: UIView!
    @IBOutlet weak var smaCTALabel: UILabel!
    @IBOutlet weak var smaPrivacyView: UIView!
    @IBOutlet weak var smaRatingView: UIView!

}
